body {
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	background-size: cover;
	background-position: center center;
	background-repeat: no-repeat;
}

input.search-text,
input.page-input {
	border: none;
}

:root {
	--flipTheme: #444444;
}

.tool {
	position: absolute;
	z-index: 11;
	width: 100%;
}

.top-tool-container {
	width: 80%;
	height: 46px;
	margin: 0 auto;
	background-color: var(--flipTheme);
	border-radius: 0 0 5px 5px;
	display: flex;
	align-items: center;
	justify-content: center;
	box-shadow: var(--flipTheme) 0 1px 2px;
	padding: 0 20px;
}

.top-tool-container .title,
.top-tool-container .search-container {
	width: 500px;
}

.top-tool-container .operation-container {
	flex: 1;
	padding: 0 20px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.top-tool-container .operation-container .button {
	width: 30px;
	height: 30px;
	position: relative;
	cursor: pointer;
	margin: 0 2px;
}

.top-tool-container .operation-container .button img {
	width: 22px;
	height: 22px;
	margin-left: 4px;
	margin-top: 4px;
}

.top-tool-container .operation-container .button span {
	display: none;
	position: absolute;
	width: auto;
	left: 50%;
	top: 42px;
	background-color: var(--flipTheme);
	color: #ffffff;
	font-size: 12px;
	line-height: 28px;
	padding: 0 10px;
	border-radius: 4px;
	transform: translateX(-50%);
	text-align: center;
	white-space: nowrap;
}

.top-tool-container .operation-container .button:hover {
	background-color: rgba(255, 255, 255, 0.2);
}

.top-tool-container .operation-container .button:hover > span {
	display: block;
}

.top-tool-container .title {
	font-size: 16px;
	font-weight: normal;
	color: #ffffff;
	line-height: 32px;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.top-tool-container .search-container {
	display: flex;
	align-items: center;
	justify-content: end;
}

.top-tool-container .search-bar {
	background-color: #ffffff;
	border-radius: 4px;
	overflow: hidden;
	display: flex;
	align-items: center;
}

.top-tool-container .search-text {
	width: 116px;
	height: 26px;
	line-height: 26px;
	outline: none;
	padding: 0 6px;
	font-size: 14px;
}

.top-tool-container .search-btn {
	width: 26px;
	height: 26px;
	display: inline-block;
	cursor: pointer;
}

.top-tool-container .search-btn img {
	width: 100%;
	height: 100%;
}

.top-tool-container .page-container {
	margin: 0 2px;
	color: #333333;
	font-size: 12px;
	line-height: 24px;
	background-color: #ffffff;
	border-radius: 4px;
	overflow: hidden;
	display: flex;
	align-items: center;
}

.top-tool-container .page-separation {
	display: inline-block;
}

.top-tool-container .page-input {
	height: 24px;
	width: 80px;
	font-size: 12px;
	line-height: 24px;
	text-align: right;
	display: inline-block;
	padding-right: 4px;
}

.top-tool-container .page-total {
	height: 24px;
	width: 80px;
	text-align: left;
	display: inline-block;
	padding-left: 4px;
}

.top-tool-container .page-input:focus-visible {
	outline: none;
}

.flip-btn {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	z-index: 11;
	width: 48px;
	height: 96px;
	cursor: pointer;
}

.flip-btn.left {
	left: 0;
}

.flip-btn.right {
	right: 0;
}

.flip-btn .bg {
	width: 100%;
	height: 100%;
	position: absolute;
	left: 0;
	top: 0;
	background-color: var(--flipTheme);
	opacity: 0.8;
}

.flip-btn img {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate3d(-50%, -50%, 0);
}

.flip-container {
	position: absolute;
	top: 50%;
	left: 50%;
	margin: auto;
}

.shadow {
	box-shadow: 0 0 10px 1px rgb(40, 40, 40, 0.3);
}

.animated {
	transition: margin-left 0.5s;
}

.page {
	background-color: #ffffff;
}

.page .gradient {
	width: 100%;
	height: 100%;
	position: absolute;
	box-sizing: border-box;
	padding-bottom: 2px;
	padding-right: 4px;
}

.page .grayShadow {
	width: 100%;
	height: 100%;
	position: absolute;
	z-index: 9;
	overflow: hidden;
	pointer-events: none;
	top: 0;
	left: 0;
}

.page .grayShadow .edgeShadow {
	background-image: linear-gradient(
		left,
		rgba(50, 50, 50, 0.5),
		rgba(230, 230, 230, 0)
	);
	background-image: -ms-linear-gradient(
		left,
		rgba(50, 50, 50, 0.5),
		rgba(230, 230, 230, 0)
	);
	filter: progid:DXImageTransform.Microsoft.Gradient(GradientType=1, EndColorStr='#007b7b7b', StartColorStr='#cc3f3f3f');
	width: 50%;
	height: 100%;
	z-index: 9;
	position: absolute;
	left: -35%;
	top: -30%;
	pointer-events: none;
	transform: rotate(30deg);
}

.page .grayShadow.r {
	left: initial;
	right: 0;
	transform: rotateY(180deg);
}

.page .midShadow {
	width: 10%;
	position: absolute;
	top: 0;
	height: 100%;
	z-index: 5;
	pointer-events: none;
	background-repeat: repeat-y;
	background-size: 100%;
}

.page.even .midShadow {
	right: 0;
	filter: progid:DXImageTransform.Microsoft.Gradient(GradientType=1, EndColorStr='#cc3f3f3f', StartColorStr='#007b7b7b');
	background-image: linear-gradient(
		right,
		rgba(60, 60, 60, 0.4) 0,
		rgba(50, 50, 50, 0.1) 54%,
		rgba(200, 200, 200, 0) 100%
	);
	background-image: -ms-linear-gradient(
		right,
		rgba(60, 60, 60, 0.4) 0,
		rgba(50, 50, 50, 0.1) 54%,
		rgba(200, 200, 200, 0) 100%
	);
}

.page.even .midShadow.l {
	right: inherit;
	left: 0;
	transform: rotate(180deg);
}

.page.odd .midShadow {
	left: 0;
	background-image: linear-gradient(
		left,
		rgba(53, 53, 53, 0.5) 0,
		rgba(53, 53, 53, 0.2) 40%,
		rgba(53, 53, 53, 0.1) 60%,
		rgba(200, 200, 200, 0) 100%
	);
	background-image: -ms-linear-gradient(
		left,
		rgba(53, 53, 53, 0.5) 0,
		rgba(53, 53, 53, 0.2) 40%,
		rgba(53, 53, 53, 0.1) 60%,
		rgba(200, 200, 200, 0) 100%
	);
	filter: progid:DXImageTransform.Microsoft.Gradient(GradientType=1, EndColorStr='#00C8C8C8', StartColorStr='#CC5D5D5D');
}

.page.odd .midShadow.r {
	left: initial;
	right: 0;
	transform: rotate(180deg);
}

.loading {
	top: 50%;
	left: 50%;
	margin-left: -20px;
	margin-top: -20px;
	width: 40px;
	height: 40px;
	border-radius: 50%;
	position: absolute;
	border-top: 4px solid rgb(150 150 150 / 40%);
	border-right: 4px solid rgb(152 152 152 / 40%);
	border-bottom: 4px solid rgb(130 130 130 / 40%);
	border-left: 4px solid transparent;
	-webkit-animation: loadinganimate 1.1s infinite linear;
	animation: loadinganimate 1.1s infinite linear;
}

.thumbnail-container {
	position: absolute;
	left: 0;
	height: 80px;
	width: 100%;
	z-index: 11;
}

.thumbnail-container .thumbnail-swiper {
	max-width: 60%;
	height: 100%;
	margin: 0 auto;
	box-sizing: border-box;
	padding: 0 40px;
	position: relative;
}

.thumbnail-container .thumbnail-arrow {
	position: absolute;
	width: 26px;
	height: 40px;
	background-color: var(--flipTheme);
	top: 50%;
	transform: translateY(-50%);
	cursor: pointer;
	display: flex;
	align-items: center;
	justify-content: center;
	opacity: 0.8;
}

.thumbnail-container .thumbnail-arrow img {
	width: 20px;
	height: auto;
}

.thumbnail-container .thumbnail-arrow.arrow-left {
	left: 0;
}

.thumbnail-container .thumbnail-arrow.arrow-right {
	right: 0;
}

.thumbnail-container .swiper {
	width: 100%;
	height: 100%;
}

.thumbnail-container .swiper-wrapper {
	box-sizing: border-box;
}

.thumbnail-container .swiper-slide {
	width: auto;
	display: flex;
	align-items: center;
	flex-direction: row;
	position: relative;
	cursor: pointer;
	box-sizing: border-box;
}

.thumbnail-container .swiper-slide {
	border: 3px solid transparent;
}

.thumbnail-container .swiper-slide.current {
	border: 3px solid var(--flipTheme);
}

.thumbnail-container .page-item {
	width: 56px;
	height: 100%;
	position: relative;
	background-color: #ffffff;
}

.thumbnail-container .page-item img {
	width: 100%;
	height: 100%;
}

.thumbnail-container .swiper-mask {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.4);
	color: #ffffff;
	font-size: 14px;
	display: none;
	text-align: center;
	pointer-events: none;
}

.thumbnail-container .swiper-slide:hover .swiper-mask {
	display: table;
}

.thumbnail-container .mask-text {
	display: table-cell;
	vertical-align: middle;
}

.thumbnail-container .swiper-lazy-preloader {
	border: 2px solid var(--flipTheme);
	border-top-color: transparent;
	width: 20px;
	height: 20px;
	margin-left: -10px;
	margin-top: -10px;
}

@-webkit-keyframes loadinganimate {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}

@keyframes loadinganimate {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}
